> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/auth/refresh

## OpenAPI

````json GET /v1/auth/refresh
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/auth/refresh": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "in": "query",
            "name": "currentPath",
            "required": false,
            "schema": {
              "type": "string",
              "example": "/dashboard"
            },
            "description": "Current path to redirect to after refresh"
          }
        ],
        "responses": {
          "200": {
            "description": "Token refreshed successfully",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/v1AuthLoginPostResponse"
                    },
                    {
                      "$ref": "#/components/schemas/v1AuthRefreshGetEntryPointResponse"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - Could not refresh token",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "Could not refresh token"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "error details"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "Internal error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1AuthLoginPostResponse": {
        "type": "object",
        "properties": {
          "auth": {
            "type": "boolean",
            "example": true
          },
          "token": {
            "type": "string",
            "example": "gr-auth-12345678-1234-1234-1234-123456789012-87654321-4321-4321-4321-210987654321"
          },
          "accountType": {
            "type": "string",
            "enum": [
              "no_account",
              "enterprise",
              "provider",
              "msp",
              "graphiant"
            ],
            "example": "enterprise"
          },
          "email": {
            "type": "string",
            "example": "user@example.com",
            "description": "User email address (returned for MFA users)"
          },
          "mfaType": {
            "type": "string",
            "example": "TOTP",
            "description": "MFA type (returned for MFA users)"
          },
          "stateToken": {
            "type": "string",
            "example": "state-token-12345",
            "description": "State token for MFA verification (returned for MFA users)"
          },
          "status": {
            "type": "string",
            "example": "AwaitingMfa",
            "description": "Authentication status (returned for MFA users)"
          }
        }
      },
      "v1AuthRefreshGetEntryPointResponse": {
        "type": "object",
        "properties": {
          "entryPoint": {
            "type": "string",
            "example": "https://saml.example.com/sso"
          }
        }
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

